Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Data Structures | Macros | Functions
H5FDonion_history.h File Reference

## Data Structures
struct | H5FD_onion_history_t
struct | H5FD_onion_record_loc_t

## Macros
#define | H5FD_ONION_ENCODED_SIZE_HISTORY 20
#define | H5FD_ONION_HISTORY_SIGNATURE "OWHS"
#define | H5FD_ONION_HISTORY_VERSION_CURR 1

## Functions
H5_DLL size_t | H5FD__onion_history_decode (unsigned char *buf, H5FD_onion_history_t *history)
H5_DLL size_t | H5FD__onion_history_encode (H5FD_onion_history_t *history, unsigned char *buf, uint32_t *checksum)
H5_DLL herr_t | H5FD__onion_ingest_history (H5FD_onion_history_t *history_out, H5FD_t *raw_file, haddr_t addr, haddr_t size)
H5_DLL uint64_t | H5FD__onion_write_history (H5FD_onion_history_t *history, H5FD_t *file, haddr_t off_start, haddr_t filesize_curr)

## Macro Definition Documentation

## ◆ H5FD_ONION_ENCODED_SIZE_HISTORY

#define H5FD_ONION_ENCODED_SIZE_HISTORY 20

## ◆ H5FD_ONION_HISTORY_SIGNATURE

#define H5FD_ONION_HISTORY_SIGNATURE "OWHS"

## ◆ H5FD_ONION_HISTORY_VERSION_CURR

#define H5FD_ONION_HISTORY_VERSION_CURR 1

## Function Documentation

## ◆ H5FD__onion_history_decode()

H5_DLL size_t H5FD__onion_history_decode | ( | unsigned char * | buf,
|  | H5FD_onion_history_t * | history )

## ◆ H5FD__onion_history_encode()

H5_DLL size_t H5FD__onion_history_encode | ( | H5FD_onion_history_t * | history,
|  | unsigned char * | buf,
|  | uint32_t * | checksum )

## ◆ H5FD__onion_ingest_history()

H5_DLL herr_t H5FD__onion_ingest_history | ( | H5FD_onion_history_t * | history_out,
|  | H5FD_t * | raw_file,
|  | haddr_t | addr,
|  | haddr_t | size )

## ◆ H5FD__onion_write_history()

H5_DLL uint64_t H5FD__onion_write_history | ( | H5FD_onion_history_t * | history,
|  | H5FD_t * | file,
|  | haddr_t | off_start,
|  | haddr_t | filesize_curr )